Subject: Re: [PATCH net-next 2/6] sfc: implement basic per-queue stats

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Aug 2024 17:44:24 -0700

On Wed, 28 Aug 2024 15:20:53 -0700 Jacob Keller wrote:
> On 8/28/2024 6:45 AM, [email-masked] wrote:
> > From: Edward Cree <[email-masked]>
> > 
> > Just RX and TX packet counts for now.  We do not have per-queue
> >  byte counts, which causes us to fail stats.pkt_byte_sum selftest
> >  with "Drivers should always report basic keys" error.  
> 
> Seems like the self tests here should be fixed for this?

FWIW - I just didn't take lack of byte counters into account :)
It's probably fine to remove the requirement, imbalance (which
is the main use for the per queue stats) is better tacked using
packets, anyway.

Not a requirement from my perspective to merge the series tho 🤷️